- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Ecore DRM Output

Functions to manage DRM outputs. More...

## Functions
Eina_Bool | ecore_drm_outputs_create (Ecore_Drm_Device *dev)
| Create outputs for a drm device. More...
void | ecore_drm_output_free (Ecore_Drm_Output *output)
| Free an Ecore_Drm_Output. More...
void | ecore_drm_output_cursor_size_set (Ecore_Drm_Output *output, int handle, int w, int h)
| Set the cursor size for Ecore_Drm_Output. More...
void | ecore_drm_output_size_get (Ecore_Drm_Device *dev, int output, int *w, int *h)
| Get the output size of Ecore_Drm_Device. More...

## Detailed Description

Functions to manage DRM outputs.

## Function Documentation

Eina_Bool ecore_drm_outputs_create | ( | Ecore_Drm_Device * | dev | ) |

Create outputs for a drm device.

This function will create outputs for Ecore_Drm_Device

Parameters

  dev | The Ecore_Drm_Device device for which outputs needs to be created

Returns
  EINA_TRUE on success, EINA_FALSE on failure.

References EEZE_UDEV_EVENT_ADD, EEZE_UDEV_EVENT_REMOVE, EEZE_UDEV_TYPE_DRM, eeze_udev_watch_add(), EINA_FALSE, eina_list_append(), eina_list_count(), EINA_TRUE, and ERR.

void ecore_drm_output_free | ( | Ecore_Drm_Output * | output | ) |

Free an Ecore_Drm_Output.

This function will cleanup and free any previously allocated Ecore_Drm_Output

Parameters

  output | The Ecore_Drm_Output to free

Referenced by ecore_drm_device_free().

void ecore_drm_output_cursor_size_set | ( | Ecore_Drm_Output * | output,
|  | int | handle,
|  | int | w,
|  | int | h
| ) |  |

Set the cursor size for Ecore_Drm_Output.

This function will set the cursor size of Ecore_Drm_Output

Parameters

  output | The Ecore_Drm_Output to set
  handle | The Drm handle
  w | The width of cursor
  h | The height of cursor

void ecore_drm_output_size_get | ( | Ecore_Drm_Device * | dev,
|  | int | output,
|  | int * | w,
|  | int * | h
| ) |  |

Get the output size of Ecore_Drm_Device.

This function will give the output size of Ecore_Drm_Device

Parameters

  dev | The Ecore_Drm_Device to get output size
  output | The output id whose information needs to be retrived
  *w | The parameter in which output width is stored
  *h | The parameter in which output height is stored